読者です 読者をやめる 読者になる 読者になる

ruby 2.1.0インストール、gemにも

インストールをrbenvを使ってするんだけど、 gemも一気に入れ替えてみる。

$ rbenv install -l          # インストール可能なバージョンを調べる

$ RUBY_CONFIGURE_OPTS="--with-readline-dir=$(brew --prefix readline) --with-openssl-dir=$(brew --prefix openssl)" 

$ rbenv install 2.1.0

$ rbenv install 2.1.0      # インストール
$ rbenv global             # 現在グローバルでのバージョン表示
$ gem list --no-versions > /tmp/gemlist # 今までつかってたrubyのgemのリスト
$ rbenv global 2.1.0 # グローバルで使用するrubyに設定
$ rbenv rehash
$ gem install `cat /tmp/gemlist`
$ rbenv rehash